NULL Pointer Dereference Affecting io.socket:socket.io-client package, versions [,2.0.1)


0.0
high

Snyk CVSS

    Attack Complexity Low
    Availability High

    Threat Intelligence

    Exploit Maturity Proof of concept
    EPSS 0.05% (17th percentile)
Expand this section
NVD
7.5 high

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • Snyk ID SNYK-JAVA-IOSOCKET-2949738
  • published 1 Aug 2022
  • disclosed 10 Jul 2022
  • credit Andrei Nikonov

How to fix?

Upgrade io.socket:socket.io-client to version 2.0.1 or higher.

Overview

Affected versions of this package are vulnerable to NULL Pointer Dereference when parsing a packet with with invalid payload format.